package com.mortals.xhx.module.alarm.web;

import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.alarm.model.AlarmConfigEntity;
import com.mortals.xhx.module.alarm.service.AlarmConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;
/**
*
* 设备告警配置
*
* @author zxfei
* @date 2022-06-27
*/
@RestController
@RequestMapping("alarm/config")
public class AlarmConfigController extends BaseCRUDJsonBodyMappingController<AlarmConfigService,AlarmConfigEntity,Long> {

    @Autowired
    private ParamService paramService;

    public AlarmConfigController(){
        super.setModuleDesc( "设备告警配置");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "alarmType", paramService.getParamBySecondOrganize("AlarmConfig","alarmType"));
        this.addDict(model, "alarmLevel", paramService.getParamBySecondOrganize("AlarmConfig","alarmLevel"));
        this.addDict(model, "alarmPusW1ay", paramService.getParamBySecondOrganize("AlarmConfig","alarmPusW1ay"));
        this.addDict(model, "isUse", paramService.getParamBySecondOrganize("AlarmConfig","isUse"));
        super.init(model, context);
    }


}