package com.mortals.xhx.module.device.model;

import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.device.model.vo.DeviceAlarmInfoVo;
/**
* 设备告警日志实体对象
*
* @author zxfei
* @date 2022-06-27
*/

public class DeviceAlarmInfoEntity extends DeviceAlarmInfoVo {
    private static final long serialVersionUID = 1L;

    /** 告警时间 */
    private Date alarmTime;
    /** 告警设备 */
    private Long alarmDevice;
    /** 告警类型,(0.离线) */
    private Integer alarmType;
    /** 告警级别(0.危险，1.次要，2.一般) */
    private Integer alarmLevel;
    /** 接收人员[设备管理的责任人] */
    private String alarmReceivePersonnel;
    /** 接收人员电话 */
    private String receivePersonnelTelephone;
    /** 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认) */
    private Integer alarmStatus;
    /** 告警详细内容 */
    private String alarmContent;


    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 告警时间 */
    private String alarmTimeStart;

    /** 结束 告警时间 */
    private String alarmTimeEnd;

    /** 开始 告警设备 */
    private Long alarmDeviceStart;

    /** 结束 告警设备 */
    private Long alarmDeviceEnd;

    /** 增加 告警设备 */
    private Long alarmDeviceIncrement;

    /** 告警设备列表 */
    private List <Long> alarmDeviceList;

    /** 开始 告警类型,(0.离线) */
    private Integer alarmTypeStart;

    /** 结束 告警类型,(0.离线) */
    private Integer alarmTypeEnd;

    /** 增加 告警类型,(0.离线) */
    private Integer alarmTypeIncrement;

    /** 告警类型,(0.离线)列表 */
    private List <Integer> alarmTypeList;

    /** 开始 告警级别(0.危险，1.次要，2.一般) */
    private Integer alarmLevelStart;

    /** 结束 告警级别(0.危险，1.次要，2.一般) */
    private Integer alarmLevelEnd;

    /** 增加 告警级别(0.危险，1.次要，2.一般) */
    private Integer alarmLevelIncrement;

    /** 告警级别(0.危险，1.次要，2.一般)列表 */
    private List <Integer> alarmLevelList;

    /** 接收人员[设备管理的责任人] */
    private List<String> alarmReceivePersonnelList;

    /** 接收人员电话 */
    private List<String> receivePersonnelTelephoneList;

    /** 开始 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认) */
    private Integer alarmStatusStart;

    /** 结束 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认) */
    private Integer alarmStatusEnd;

    /** 增加 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认) */
    private Integer alarmStatusIncrement;

    /** 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)列表 */
    private List <Integer> alarmStatusList;

    /** 告警详细内容 */
    private List<String> alarmContentList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DeviceAlarmInfoEntity> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DeviceAlarmInfoEntity> andConditionList;

    public DeviceAlarmInfoEntity(){}
    /**
    * 获取 告警时间
    * @return Date
    */
    public Date getAlarmTime(){
        return alarmTime;
    }
    /**
    * 设置 告警时间
    * @param alarmTime
    */
    public void setAlarmTime(Date alarmTime){
        this.alarmTime = alarmTime;
    }
    /**
    * 获取 告警设备
    * @return Long
    */
    public Long getAlarmDevice(){
        return alarmDevice;
    }
    /**
    * 设置 告警设备
    * @param alarmDevice
    */
    public void setAlarmDevice(Long alarmDevice){
        this.alarmDevice = alarmDevice;
    }
    /**
    * 获取 告警类型,(0.离线)
    * @return Integer
    */
    public Integer getAlarmType(){
        return alarmType;
    }
    /**
    * 设置 告警类型,(0.离线)
    * @param alarmType
    */
    public void setAlarmType(Integer alarmType){
        this.alarmType = alarmType;
    }
    /**
    * 获取 告警级别(0.危险，1.次要，2.一般)
    * @return Integer
    */
    public Integer getAlarmLevel(){
        return alarmLevel;
    }
    /**
    * 设置 告警级别(0.危险，1.次要，2.一般)
    * @param alarmLevel
    */
    public void setAlarmLevel(Integer alarmLevel){
        this.alarmLevel = alarmLevel;
    }
    /**
    * 获取 接收人员[设备管理的责任人]
    * @return String
    */
    public String getAlarmReceivePersonnel(){
        return alarmReceivePersonnel;
    }
    /**
    * 设置 接收人员[设备管理的责任人]
    * @param alarmReceivePersonnel
    */
    public void setAlarmReceivePersonnel(String alarmReceivePersonnel){
        this.alarmReceivePersonnel = alarmReceivePersonnel;
    }
    /**
    * 获取 接收人员电话
    * @return String
    */
    public String getReceivePersonnelTelephone(){
        return receivePersonnelTelephone;
    }
    /**
    * 设置 接收人员电话
    * @param receivePersonnelTelephone
    */
    public void setReceivePersonnelTelephone(String receivePersonnelTelephone){
        this.receivePersonnelTelephone = receivePersonnelTelephone;
    }
    /**
    * 获取 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
    * @return Integer
    */
    public Integer getAlarmStatus(){
        return alarmStatus;
    }
    /**
    * 设置 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
    * @param alarmStatus
    */
    public void setAlarmStatus(Integer alarmStatus){
        this.alarmStatus = alarmStatus;
    }
    /**
    * 获取 告警详细内容
    * @return String
    */
    public String getAlarmContent(){
        return alarmContent;
    }
    /**
    * 设置 告警详细内容
    * @param alarmContent
    */
    public void setAlarmContent(String alarmContent){
        this.alarmContent = alarmContent;
    }
            
    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 告警时间
    * @return alarmTimeStart
    */
    public String getAlarmTimeStart(){
        return this.alarmTimeStart;
    }

    /**
    * 设置 开始 告警时间
    * @param alarmTimeStart
    */
    public void setAlarmTimeStart(String alarmTimeStart){
        this.alarmTimeStart = alarmTimeStart;
    }

    /**
    * 获取 结束 告警时间
    * @return alarmTimeEnd
    */
    public String getAlarmTimeEnd(){
        return this.alarmTimeEnd;
    }

    /**
    * 设置 结束 告警时间
    * @param alarmTimeEnd
    */
    public void setAlarmTimeEnd(String alarmTimeEnd){
        this.alarmTimeEnd = alarmTimeEnd;
    }

    /**
    * 获取 开始 告警设备
    * @return alarmDeviceStart
    */
    public Long getAlarmDeviceStart(){
        return this.alarmDeviceStart;
    }

    /**
    * 设置 开始 告警设备
    * @param alarmDeviceStart
    */
    public void setAlarmDeviceStart(Long alarmDeviceStart){
        this.alarmDeviceStart = alarmDeviceStart;
    }

    /**
    * 获取 结束 告警设备
    * @return $alarmDeviceEnd
    */
    public Long getAlarmDeviceEnd(){
        return this.alarmDeviceEnd;
    }

    /**
    * 设置 结束 告警设备
    * @param alarmDeviceEnd
    */
    public void setAlarmDeviceEnd(Long alarmDeviceEnd){
        this.alarmDeviceEnd = alarmDeviceEnd;
    }

    /**
    * 获取 增加 告警设备
    * @return alarmDeviceIncrement
    */
    public Long getAlarmDeviceIncrement(){
        return this.alarmDeviceIncrement;
    }

    /**
    * 设置 增加 告警设备
    * @param alarmDeviceIncrement
    */
    public void setAlarmDeviceIncrement(Long alarmDeviceIncrement){
        this.alarmDeviceIncrement = alarmDeviceIncrement;
    }

    /**
    * 获取 告警设备
    * @return alarmDeviceList
    */
    public List<Long> getAlarmDeviceList(){
        return this.alarmDeviceList;
    }

    /**
    * 设置 告警设备
    * @param alarmDeviceList
    */
    public void setAlarmDeviceList(List<Long> alarmDeviceList){
        this.alarmDeviceList = alarmDeviceList;
    }

    /**
    * 获取 开始 告警类型,(0.离线)
    * @return alarmTypeStart
    */
    public Integer getAlarmTypeStart(){
        return this.alarmTypeStart;
    }

    /**
    * 设置 开始 告警类型,(0.离线)
    * @param alarmTypeStart
    */
    public void setAlarmTypeStart(Integer alarmTypeStart){
        this.alarmTypeStart = alarmTypeStart;
    }

    /**
    * 获取 结束 告警类型,(0.离线)
    * @return $alarmTypeEnd
    */
    public Integer getAlarmTypeEnd(){
        return this.alarmTypeEnd;
    }

    /**
    * 设置 结束 告警类型,(0.离线)
    * @param alarmTypeEnd
    */
    public void setAlarmTypeEnd(Integer alarmTypeEnd){
        this.alarmTypeEnd = alarmTypeEnd;
    }

    /**
    * 获取 增加 告警类型,(0.离线)
    * @return alarmTypeIncrement
    */
    public Integer getAlarmTypeIncrement(){
        return this.alarmTypeIncrement;
    }

    /**
    * 设置 增加 告警类型,(0.离线)
    * @param alarmTypeIncrement
    */
    public void setAlarmTypeIncrement(Integer alarmTypeIncrement){
        this.alarmTypeIncrement = alarmTypeIncrement;
    }

    /**
    * 获取 告警类型,(0.离线)
    * @return alarmTypeList
    */
    public List<Integer> getAlarmTypeList(){
        return this.alarmTypeList;
    }

    /**
    * 设置 告警类型,(0.离线)
    * @param alarmTypeList
    */
    public void setAlarmTypeList(List<Integer> alarmTypeList){
        this.alarmTypeList = alarmTypeList;
    }

    /**
    * 获取 开始 告警级别(0.危险，1.次要，2.一般)
    * @return alarmLevelStart
    */
    public Integer getAlarmLevelStart(){
        return this.alarmLevelStart;
    }

    /**
    * 设置 开始 告警级别(0.危险，1.次要，2.一般)
    * @param alarmLevelStart
    */
    public void setAlarmLevelStart(Integer alarmLevelStart){
        this.alarmLevelStart = alarmLevelStart;
    }

    /**
    * 获取 结束 告警级别(0.危险，1.次要，2.一般)
    * @return $alarmLevelEnd
    */
    public Integer getAlarmLevelEnd(){
        return this.alarmLevelEnd;
    }

    /**
    * 设置 结束 告警级别(0.危险，1.次要，2.一般)
    * @param alarmLevelEnd
    */
    public void setAlarmLevelEnd(Integer alarmLevelEnd){
        this.alarmLevelEnd = alarmLevelEnd;
    }

    /**
    * 获取 增加 告警级别(0.危险，1.次要，2.一般)
    * @return alarmLevelIncrement
    */
    public Integer getAlarmLevelIncrement(){
        return this.alarmLevelIncrement;
    }

    /**
    * 设置 增加 告警级别(0.危险，1.次要，2.一般)
    * @param alarmLevelIncrement
    */
    public void setAlarmLevelIncrement(Integer alarmLevelIncrement){
        this.alarmLevelIncrement = alarmLevelIncrement;
    }

    /**
    * 获取 告警级别(0.危险，1.次要，2.一般)
    * @return alarmLevelList
    */
    public List<Integer> getAlarmLevelList(){
        return this.alarmLevelList;
    }

    /**
    * 设置 告警级别(0.危险，1.次要，2.一般)
    * @param alarmLevelList
    */
    public void setAlarmLevelList(List<Integer> alarmLevelList){
        this.alarmLevelList = alarmLevelList;
    }

    /**
    * 获取 接收人员[设备管理的责任人]
    * @return alarmReceivePersonnelList
    */
    public List<String> getAlarmReceivePersonnelList(){
        return this.alarmReceivePersonnelList;
    }

    /**
    * 设置 接收人员[设备管理的责任人]
    * @param alarmReceivePersonnelList
    */
    public void setAlarmReceivePersonnelList(List<String> alarmReceivePersonnelList){
        this.alarmReceivePersonnelList = alarmReceivePersonnelList;
    }
    /**
    * 获取 接收人员电话
    * @return receivePersonnelTelephoneList
    */
    public List<String> getReceivePersonnelTelephoneList(){
        return this.receivePersonnelTelephoneList;
    }

    /**
    * 设置 接收人员电话
    * @param receivePersonnelTelephoneList
    */
    public void setReceivePersonnelTelephoneList(List<String> receivePersonnelTelephoneList){
        this.receivePersonnelTelephoneList = receivePersonnelTelephoneList;
    }
    /**
    * 获取 开始 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
    * @return alarmStatusStart
    */
    public Integer getAlarmStatusStart(){
        return this.alarmStatusStart;
    }

    /**
    * 设置 开始 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
    * @param alarmStatusStart
    */
    public void setAlarmStatusStart(Integer alarmStatusStart){
        this.alarmStatusStart = alarmStatusStart;
    }

    /**
    * 获取 结束 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
    * @return $alarmStatusEnd
    */
    public Integer getAlarmStatusEnd(){
        return this.alarmStatusEnd;
    }

    /**
    * 设置 结束 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
    * @param alarmStatusEnd
    */
    public void setAlarmStatusEnd(Integer alarmStatusEnd){
        this.alarmStatusEnd = alarmStatusEnd;
    }

    /**
    * 获取 增加 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
    * @return alarmStatusIncrement
    */
    public Integer getAlarmStatusIncrement(){
        return this.alarmStatusIncrement;
    }

    /**
    * 设置 增加 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
    * @param alarmStatusIncrement
    */
    public void setAlarmStatusIncrement(Integer alarmStatusIncrement){
        this.alarmStatusIncrement = alarmStatusIncrement;
    }

    /**
    * 获取 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
    * @return alarmStatusList
    */
    public List<Integer> getAlarmStatusList(){
        return this.alarmStatusList;
    }

    /**
    * 设置 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
    * @param alarmStatusList
    */
    public void setAlarmStatusList(List<Integer> alarmStatusList){
        this.alarmStatusList = alarmStatusList;
    }

    /**
    * 获取 告警详细内容
    * @return alarmContentList
    */
    public List<String> getAlarmContentList(){
        return this.alarmContentList;
    }

    /**
    * 设置 告警详细内容
    * @param alarmContentList
    */
    public void setAlarmContentList(List<String> alarmContentList){
        this.alarmContentList = alarmContentList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public DeviceAlarmInfoEntity id(Long id){
	    setId(id);
		return this;
    }
    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public DeviceAlarmInfoEntity idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }
    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public DeviceAlarmInfoEntity idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }
    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public DeviceAlarmInfoEntity idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }
    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public DeviceAlarmInfoEntity idList(List<Long> idList){
        this.idList = idList;
		return this;
    }
    /**
    * 设置  告警设备
    * @param alarmDevice
    */
    public DeviceAlarmInfoEntity alarmDevice(Long alarmDevice){
	    setAlarmDevice(alarmDevice);
		return this;
    }
    /**
    * 设置 开始 告警设备
    * @param alarmDeviceStart
    */
    public DeviceAlarmInfoEntity alarmDeviceStart(Long alarmDeviceStart){
		this.alarmDeviceStart = alarmDeviceStart;
		return this;
    }
    /**
    * 设置 结束 告警设备
    * @param alarmDeviceEnd
    */
    public DeviceAlarmInfoEntity alarmDeviceEnd(Long alarmDeviceEnd){
		this.alarmDeviceEnd = alarmDeviceEnd;
		return this;
    }
    /**
    * 设置 增加 告警设备
    * @param alarmDeviceIncrement
    */
    public DeviceAlarmInfoEntity alarmDeviceIncrement(Long alarmDeviceIncrement){
		this.alarmDeviceIncrement = alarmDeviceIncrement;
		return this;
    }
    /**
    * 设置 告警设备
    * @param alarmDeviceList
    */
    public DeviceAlarmInfoEntity alarmDeviceList(List<Long> alarmDeviceList){
        this.alarmDeviceList = alarmDeviceList;
		return this;
    }
    /**
    * 设置  告警类型,(0.离线)
    * @param alarmType
    */
    public DeviceAlarmInfoEntity alarmType(Integer alarmType){
	    setAlarmType(alarmType);
		return this;
    }
    /**
    * 设置 开始 告警类型,(0.离线)
    * @param alarmTypeStart
    */
    public DeviceAlarmInfoEntity alarmTypeStart(Integer alarmTypeStart){
		this.alarmTypeStart = alarmTypeStart;
		return this;
    }
    /**
    * 设置 结束 告警类型,(0.离线)
    * @param alarmTypeEnd
    */
    public DeviceAlarmInfoEntity alarmTypeEnd(Integer alarmTypeEnd){
		this.alarmTypeEnd = alarmTypeEnd;
		return this;
    }
    /**
    * 设置 增加 告警类型,(0.离线)
    * @param alarmTypeIncrement
    */
    public DeviceAlarmInfoEntity alarmTypeIncrement(Integer alarmTypeIncrement){
		this.alarmTypeIncrement = alarmTypeIncrement;
		return this;
    }
    /**
    * 设置 告警类型,(0.离线)
    * @param alarmTypeList
    */
    public DeviceAlarmInfoEntity alarmTypeList(List<Integer> alarmTypeList){
        this.alarmTypeList = alarmTypeList;
		return this;
    }
    /**
    * 设置  告警级别(0.危险，1.次要，2.一般)
    * @param alarmLevel
    */
    public DeviceAlarmInfoEntity alarmLevel(Integer alarmLevel){
	    setAlarmLevel(alarmLevel);
		return this;
    }
    /**
    * 设置 开始 告警级别(0.危险，1.次要，2.一般)
    * @param alarmLevelStart
    */
    public DeviceAlarmInfoEntity alarmLevelStart(Integer alarmLevelStart){
		this.alarmLevelStart = alarmLevelStart;
		return this;
    }
    /**
    * 设置 结束 告警级别(0.危险，1.次要，2.一般)
    * @param alarmLevelEnd
    */
    public DeviceAlarmInfoEntity alarmLevelEnd(Integer alarmLevelEnd){
		this.alarmLevelEnd = alarmLevelEnd;
		return this;
    }
    /**
    * 设置 增加 告警级别(0.危险，1.次要，2.一般)
    * @param alarmLevelIncrement
    */
    public DeviceAlarmInfoEntity alarmLevelIncrement(Integer alarmLevelIncrement){
		this.alarmLevelIncrement = alarmLevelIncrement;
		return this;
    }
    /**
    * 设置 告警级别(0.危险，1.次要，2.一般)
    * @param alarmLevelList
    */
    public DeviceAlarmInfoEntity alarmLevelList(List<Integer> alarmLevelList){
        this.alarmLevelList = alarmLevelList;
		return this;
    }
	/**
    * 设置 接收人员[设备管理的责任人]
    * @param alarmReceivePersonnel
    */
    public DeviceAlarmInfoEntity alarmReceivePersonnel(String alarmReceivePersonnel){
        setAlarmReceivePersonnel(alarmReceivePersonnel);
		return this;
    }

    /**
    * 设置 接收人员[设备管理的责任人]
    * @param alarmReceivePersonnelList
    */
    public DeviceAlarmInfoEntity alarmReceivePersonnelList(List<String> alarmReceivePersonnelList){
        this.alarmReceivePersonnelList = alarmReceivePersonnelList;
		return this;
    }

	/**
    * 设置 接收人员电话
    * @param receivePersonnelTelephone
    */
    public DeviceAlarmInfoEntity receivePersonnelTelephone(String receivePersonnelTelephone){
        setReceivePersonnelTelephone(receivePersonnelTelephone);
		return this;
    }

    /**
    * 设置 接收人员电话
    * @param receivePersonnelTelephoneList
    */
    public DeviceAlarmInfoEntity receivePersonnelTelephoneList(List<String> receivePersonnelTelephoneList){
        this.receivePersonnelTelephoneList = receivePersonnelTelephoneList;
		return this;
    }

    /**
    * 设置  告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
    * @param alarmStatus
    */
    public DeviceAlarmInfoEntity alarmStatus(Integer alarmStatus){
	    setAlarmStatus(alarmStatus);
		return this;
    }
    /**
    * 设置 开始 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
    * @param alarmStatusStart
    */
    public DeviceAlarmInfoEntity alarmStatusStart(Integer alarmStatusStart){
		this.alarmStatusStart = alarmStatusStart;
		return this;
    }
    /**
    * 设置 结束 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
    * @param alarmStatusEnd
    */
    public DeviceAlarmInfoEntity alarmStatusEnd(Integer alarmStatusEnd){
		this.alarmStatusEnd = alarmStatusEnd;
		return this;
    }
    /**
    * 设置 增加 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
    * @param alarmStatusIncrement
    */
    public DeviceAlarmInfoEntity alarmStatusIncrement(Integer alarmStatusIncrement){
		this.alarmStatusIncrement = alarmStatusIncrement;
		return this;
    }
    /**
    * 设置 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
    * @param alarmStatusList
    */
    public DeviceAlarmInfoEntity alarmStatusList(List<Integer> alarmStatusList){
        this.alarmStatusList = alarmStatusList;
		return this;
    }
	/**
    * 设置 告警详细内容
    * @param alarmContent
    */
    public DeviceAlarmInfoEntity alarmContent(String alarmContent){
        setAlarmContent(alarmContent);
		return this;
    }

    /**
    * 设置 告警详细内容
    * @param alarmContentList
    */
    public DeviceAlarmInfoEntity alarmContentList(List<String> alarmContentList){
        this.alarmContentList = alarmContentList;
		return this;
    }

    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public DeviceAlarmInfoEntity updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public DeviceAlarmInfoEntity updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }
    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public DeviceAlarmInfoEntity updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }
    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public DeviceAlarmInfoEntity updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }
    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public DeviceAlarmInfoEntity updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
    }
    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DeviceAlarmInfoEntity> getOrConditionList(){
        return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public DeviceAlarmInfoEntity setOrConditionList(List<DeviceAlarmInfoEntity> orConditionList){
        this.orConditionList = orConditionList;
        return this;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DeviceAlarmInfoEntity> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public DeviceAlarmInfoEntity setAndConditionList(List<DeviceAlarmInfoEntity> andConditionList){
        this.andConditionList = andConditionList;
        return this;
    }

    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DeviceAlarmInfoEntity) {
            DeviceAlarmInfoEntity tmp = (DeviceAlarmInfoEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",alarmTime:").append(getAlarmTime());
        sb.append(",alarmDevice:").append(getAlarmDevice());
        sb.append(",alarmType:").append(getAlarmType());
        sb.append(",alarmLevel:").append(getAlarmLevel());
        sb.append(",alarmReceivePersonnel:").append(getAlarmReceivePersonnel());
        sb.append(",receivePersonnelTelephone:").append(getReceivePersonnelTelephone());
        sb.append(",alarmStatus:").append(getAlarmStatus());
        sb.append(",alarmContent:").append(getAlarmContent());
        return sb.toString();
    }

    public void initAttrValue(){
            this.alarmTime = null;
            this.alarmDevice = null;
            this.alarmType = null;
            this.alarmLevel = null;
            this.alarmReceivePersonnel = "";
            this.receivePersonnelTelephone = "";
            this.alarmStatus = 0;
            this.alarmContent = "";
    }
}