package com.mortals.xhx.module.device.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.device.model.vo.DeviceLogVo;
/**
* 设备日志实体对象
*
* @author zxfei
* @date 2022-06-27
*/

public class DeviceLogEntity extends DeviceLogVo {
    private static final long serialVersionUID = 1L;

    /** traceId,日志追踪id */
    private String traceID;
    /** 设备ID */
    private Long deviceId;
    /** 设备编号 */
    private String deviceNum;
    /** 设备名称，设置设备名称。 */
    private String deviceName;
    /** 日志类型，(0.上报事件，1.下发服务) */
    private Integer logType;
    /** 内容 */
    private String content;


    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** traceId,日志追踪id */
    private List<String> traceIDList;

    /** 开始 设备ID */
    private Long deviceIdStart;

    /** 结束 设备ID */
    private Long deviceIdEnd;

    /** 增加 设备ID */
    private Long deviceIdIncrement;

    /** 设备ID列表 */
    private List <Long> deviceIdList;

    /** 设备编号 */
    private List<String> deviceNumList;

    /** 设备名称，设置设备名称。 */
    private List<String> deviceNameList;

    /** 开始 日志类型，(0.上报事件，1.下发服务) */
    private Integer logTypeStart;

    /** 结束 日志类型，(0.上报事件，1.下发服务) */
    private Integer logTypeEnd;

    /** 增加 日志类型，(0.上报事件，1.下发服务) */
    private Integer logTypeIncrement;

    /** 日志类型，(0.上报事件，1.下发服务)列表 */
    private List <Integer> logTypeList;

    /** 内容 */
    private List<String> contentList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DeviceLogEntity> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DeviceLogEntity> andConditionList;

    public DeviceLogEntity(){}
    /**
    * 获取 traceId,日志追踪id
    * @return String
    */
    public String getTraceID(){
        return traceID;
    }
    /**
    * 设置 traceId,日志追踪id
    * @param traceID
    */
    public void setTraceID(String traceID){
        this.traceID = traceID;
    }
    /**
    * 获取 设备ID
    * @return Long
    */
    public Long getDeviceId(){
        return deviceId;
    }
    /**
    * 设置 设备ID
    * @param deviceId
    */
    public void setDeviceId(Long deviceId){
        this.deviceId = deviceId;
    }
    /**
    * 获取 设备编号
    * @return String
    */
    public String getDeviceNum(){
        return deviceNum;
    }
    /**
    * 设置 设备编号
    * @param deviceNum
    */
    public void setDeviceNum(String deviceNum){
        this.deviceNum = deviceNum;
    }
    /**
    * 获取 设备名称，设置设备名称。
    * @return String
    */
    public String getDeviceName(){
        return deviceName;
    }
    /**
    * 设置 设备名称，设置设备名称。
    * @param deviceName
    */
    public void setDeviceName(String deviceName){
        this.deviceName = deviceName;
    }
    /**
    * 获取 日志类型，(0.上报事件，1.下发服务)
    * @return Integer
    */
    public Integer getLogType(){
        return logType;
    }
    /**
    * 设置 日志类型，(0.上报事件，1.下发服务)
    * @param logType
    */
    public void setLogType(Integer logType){
        this.logType = logType;
    }
    /**
    * 获取 内容
    * @return String
    */
    public String getContent(){
        return content;
    }
    /**
    * 设置 内容
    * @param content
    */
    public void setContent(String content){
        this.content = content;
    }
            
    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 traceId,日志追踪id
    * @return traceIDList
    */
    public List<String> getTraceIDList(){
        return this.traceIDList;
    }

    /**
    * 设置 traceId,日志追踪id
    * @param traceIDList
    */
    public void setTraceIDList(List<String> traceIDList){
        this.traceIDList = traceIDList;
    }
    /**
    * 获取 开始 设备ID
    * @return deviceIdStart
    */
    public Long getDeviceIdStart(){
        return this.deviceIdStart;
    }

    /**
    * 设置 开始 设备ID
    * @param deviceIdStart
    */
    public void setDeviceIdStart(Long deviceIdStart){
        this.deviceIdStart = deviceIdStart;
    }

    /**
    * 获取 结束 设备ID
    * @return $deviceIdEnd
    */
    public Long getDeviceIdEnd(){
        return this.deviceIdEnd;
    }

    /**
    * 设置 结束 设备ID
    * @param deviceIdEnd
    */
    public void setDeviceIdEnd(Long deviceIdEnd){
        this.deviceIdEnd = deviceIdEnd;
    }

    /**
    * 获取 增加 设备ID
    * @return deviceIdIncrement
    */
    public Long getDeviceIdIncrement(){
        return this.deviceIdIncrement;
    }

    /**
    * 设置 增加 设备ID
    * @param deviceIdIncrement
    */
    public void setDeviceIdIncrement(Long deviceIdIncrement){
        this.deviceIdIncrement = deviceIdIncrement;
    }

    /**
    * 获取 设备ID
    * @return deviceIdList
    */
    public List<Long> getDeviceIdList(){
        return this.deviceIdList;
    }

    /**
    * 设置 设备ID
    * @param deviceIdList
    */
    public void setDeviceIdList(List<Long> deviceIdList){
        this.deviceIdList = deviceIdList;
    }

    /**
    * 获取 设备编号
    * @return deviceNumList
    */
    public List<String> getDeviceNumList(){
        return this.deviceNumList;
    }

    /**
    * 设置 设备编号
    * @param deviceNumList
    */
    public void setDeviceNumList(List<String> deviceNumList){
        this.deviceNumList = deviceNumList;
    }
    /**
    * 获取 设备名称，设置设备名称。
    * @return deviceNameList
    */
    public List<String> getDeviceNameList(){
        return this.deviceNameList;
    }

    /**
    * 设置 设备名称，设置设备名称。
    * @param deviceNameList
    */
    public void setDeviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
    }
    /**
    * 获取 开始 日志类型，(0.上报事件，1.下发服务)
    * @return logTypeStart
    */
    public Integer getLogTypeStart(){
        return this.logTypeStart;
    }

    /**
    * 设置 开始 日志类型，(0.上报事件，1.下发服务)
    * @param logTypeStart
    */
    public void setLogTypeStart(Integer logTypeStart){
        this.logTypeStart = logTypeStart;
    }

    /**
    * 获取 结束 日志类型，(0.上报事件，1.下发服务)
    * @return $logTypeEnd
    */
    public Integer getLogTypeEnd(){
        return this.logTypeEnd;
    }

    /**
    * 设置 结束 日志类型，(0.上报事件，1.下发服务)
    * @param logTypeEnd
    */
    public void setLogTypeEnd(Integer logTypeEnd){
        this.logTypeEnd = logTypeEnd;
    }

    /**
    * 获取 增加 日志类型，(0.上报事件，1.下发服务)
    * @return logTypeIncrement
    */
    public Integer getLogTypeIncrement(){
        return this.logTypeIncrement;
    }

    /**
    * 设置 增加 日志类型，(0.上报事件，1.下发服务)
    * @param logTypeIncrement
    */
    public void setLogTypeIncrement(Integer logTypeIncrement){
        this.logTypeIncrement = logTypeIncrement;
    }

    /**
    * 获取 日志类型，(0.上报事件，1.下发服务)
    * @return logTypeList
    */
    public List<Integer> getLogTypeList(){
        return this.logTypeList;
    }

    /**
    * 设置 日志类型，(0.上报事件，1.下发服务)
    * @param logTypeList
    */
    public void setLogTypeList(List<Integer> logTypeList){
        this.logTypeList = logTypeList;
    }

    /**
    * 获取 内容
    * @return contentList
    */
    public List<String> getContentList(){
        return this.contentList;
    }

    /**
    * 设置 内容
    * @param contentList
    */
    public void setContentList(List<String> contentList){
        this.contentList = contentList;
    }
    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public DeviceLogEntity id(Long id){
	    setId(id);
		return this;
    }
    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public DeviceLogEntity idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }
    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public DeviceLogEntity idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }
    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public DeviceLogEntity idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }
    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public DeviceLogEntity idList(List<Long> idList){
        this.idList = idList;
		return this;
    }
	/**
    * 设置 traceId,日志追踪id
    * @param traceID
    */
    public DeviceLogEntity traceID(String traceID){
        setTraceID(traceID);
		return this;
    }

    /**
    * 设置 traceId,日志追踪id
    * @param traceIDList
    */
    public DeviceLogEntity traceIDList(List<String> traceIDList){
        this.traceIDList = traceIDList;
		return this;
    }

    /**
    * 设置  设备ID
    * @param deviceId
    */
    public DeviceLogEntity deviceId(Long deviceId){
	    setDeviceId(deviceId);
		return this;
    }
    /**
    * 设置 开始 设备ID
    * @param deviceIdStart
    */
    public DeviceLogEntity deviceIdStart(Long deviceIdStart){
		this.deviceIdStart = deviceIdStart;
		return this;
    }
    /**
    * 设置 结束 设备ID
    * @param deviceIdEnd
    */
    public DeviceLogEntity deviceIdEnd(Long deviceIdEnd){
		this.deviceIdEnd = deviceIdEnd;
		return this;
    }
    /**
    * 设置 增加 设备ID
    * @param deviceIdIncrement
    */
    public DeviceLogEntity deviceIdIncrement(Long deviceIdIncrement){
		this.deviceIdIncrement = deviceIdIncrement;
		return this;
    }
    /**
    * 设置 设备ID
    * @param deviceIdList
    */
    public DeviceLogEntity deviceIdList(List<Long> deviceIdList){
        this.deviceIdList = deviceIdList;
		return this;
    }
	/**
    * 设置 设备编号
    * @param deviceNum
    */
    public DeviceLogEntity deviceNum(String deviceNum){
        setDeviceNum(deviceNum);
		return this;
    }

    /**
    * 设置 设备编号
    * @param deviceNumList
    */
    public DeviceLogEntity deviceNumList(List<String> deviceNumList){
        this.deviceNumList = deviceNumList;
		return this;
    }

	/**
    * 设置 设备名称，设置设备名称。
    * @param deviceName
    */
    public DeviceLogEntity deviceName(String deviceName){
        setDeviceName(deviceName);
		return this;
    }

    /**
    * 设置 设备名称，设置设备名称。
    * @param deviceNameList
    */
    public DeviceLogEntity deviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
		return this;
    }

    /**
    * 设置  日志类型，(0.上报事件，1.下发服务)
    * @param logType
    */
    public DeviceLogEntity logType(Integer logType){
	    setLogType(logType);
		return this;
    }
    /**
    * 设置 开始 日志类型，(0.上报事件，1.下发服务)
    * @param logTypeStart
    */
    public DeviceLogEntity logTypeStart(Integer logTypeStart){
		this.logTypeStart = logTypeStart;
		return this;
    }
    /**
    * 设置 结束 日志类型，(0.上报事件，1.下发服务)
    * @param logTypeEnd
    */
    public DeviceLogEntity logTypeEnd(Integer logTypeEnd){
		this.logTypeEnd = logTypeEnd;
		return this;
    }
    /**
    * 设置 增加 日志类型，(0.上报事件，1.下发服务)
    * @param logTypeIncrement
    */
    public DeviceLogEntity logTypeIncrement(Integer logTypeIncrement){
		this.logTypeIncrement = logTypeIncrement;
		return this;
    }
    /**
    * 设置 日志类型，(0.上报事件，1.下发服务)
    * @param logTypeList
    */
    public DeviceLogEntity logTypeList(List<Integer> logTypeList){
        this.logTypeList = logTypeList;
		return this;
    }
	/**
    * 设置 内容
    * @param content
    */
    public DeviceLogEntity content(String content){
        setContent(content);
		return this;
    }

    /**
    * 设置 内容
    * @param contentList
    */
    public DeviceLogEntity contentList(List<String> contentList){
        this.contentList = contentList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public DeviceLogEntity createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public DeviceLogEntity createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }
    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public DeviceLogEntity createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }
    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public DeviceLogEntity createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }
    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public DeviceLogEntity createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
    }
    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public DeviceLogEntity updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public DeviceLogEntity updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }
    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public DeviceLogEntity updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }
    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public DeviceLogEntity updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }
    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public DeviceLogEntity updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
    }
    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DeviceLogEntity> getOrConditionList(){
        return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public DeviceLogEntity setOrConditionList(List<DeviceLogEntity> orConditionList){
        this.orConditionList = orConditionList;
        return this;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DeviceLogEntity> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public DeviceLogEntity setAndConditionList(List<DeviceLogEntity> andConditionList){
        this.andConditionList = andConditionList;
        return this;
    }

    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DeviceLogEntity) {
            DeviceLogEntity tmp = (DeviceLogEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",traceID:").append(getTraceID());
        sb.append(",deviceId:").append(getDeviceId());
        sb.append(",deviceNum:").append(getDeviceNum());
        sb.append(",deviceName:").append(getDeviceName());
        sb.append(",logType:").append(getLogType());
        sb.append(",content:").append(getContent());
        return sb.toString();
    }

    public void initAttrValue(){
            this.traceID = "";
            this.deviceId = null;
            this.deviceNum = "";
            this.deviceName = "";
            this.logType = null;
            this.content = "";
    }
}