package com.mortals.xhx.module.device.model.vo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.device.model.DeviceEntity;
import lombok.Data;
import lombok.SneakyThrows;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
/**
* 设备视图对象
*
* @author zxfei
* @date 2022-04-25
*/
@Data
public class DeviceVo extends BaseEntityLong {

    /**
     * 唯一标识
     */
    private String token;

    /**
     * 平台编码
     */
    @Excel(name = "平台编码",combo = {"排号系统"}, readConverterExp = "phxt=排号系统")
    private String platformCode;

    /**
     * 产品编码
     */
    @Excel(name = "产品编码",combo = {"排队机", "窗口屏", "呼叫器", "集中显示屏", "导视机", "评价器", "自助服务终端", "填单机", "样表机"}
    , readConverterExp = "pdj=排队机,ckp=窗口屏,hjq=呼叫器,jzxsp=集中显示屏,dsj=导视机,pjq=评价器,zzfwzd=自助服务终端,tdj=填单机,ybj=样表机")
    private String productCode;


    /**
     * 是否通知第三方
     */
    private Boolean switchSend=true;


    @SneakyThrows
    public static void main(String[] args) {
        DeviceEntity deviceEntity = new DeviceEntity();
        deviceEntity.initAttrValue();
        deviceEntity.setOnlineTime(new Date());
        ObjectMapper mapper = new ObjectMapper();
        System.out.println(mapper.writeValueAsString(deviceEntity));
    }

}