package com.mortals.xhx.module.device.web;

import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.device.model.DeviceAlarmInfoEntity;
import com.mortals.xhx.module.device.service.DeviceAlarmInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;
/**
*
* 设备告警日志
*
* @author zxfei
* @date 2022-06-27
*/
@RestController
@RequestMapping("device/alarm/info")
public class DeviceAlarmInfoController extends BaseCRUDJsonBodyMappingController<DeviceAlarmInfoService,DeviceAlarmInfoEntity,Long> {

    @Autowired
    private ParamService paramService;

    public DeviceAlarmInfoController(){
        super.setModuleDesc( "设备告警日志");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "alarmType", paramService.getParamBySecondOrganize("DeviceAlarmInfo","alarmType"));
        this.addDict(model, "alarmLevel", paramService.getParamBySecondOrganize("DeviceAlarmInfo","alarmLevel"));
        this.addDict(model, "alarmStatus", paramService.getParamBySecondOrganize("DeviceAlarmInfo","alarmStatus"));
        super.init(model, context);
    }


}