package com.mortals.xhx.module.sitestat.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.sitestat.model.vo.SitestatVo;
/**
* 站点统计实体对象
*
* @author zxfei
* @date 2022-06-27
*/

public class SitestatEntity extends SitestatVo {
    private static final long serialVersionUID = 1L;

    /** 站点Id，来源基础服务平台 */
    private Long siteId;
    /** 站点编号，来源基础服务平台 */
    private String siteCode;
    /** 站点名称 */
    private String siteName;
    /** 设备总数 */
    private Integer deviceTotal;
    /** 在线数量 */
    private Integer onlineCount;
    /** 离线数量 */
    private Integer offlineCount;
    /** 停用数量 */
    private Integer stopCount;
    /** 待激活数量 */
    private Integer unActiveCount;


    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 站点Id，来源基础服务平台 */
    private Long siteIdStart;

    /** 结束 站点Id，来源基础服务平台 */
    private Long siteIdEnd;

    /** 增加 站点Id，来源基础服务平台 */
    private Long siteIdIncrement;

    /** 站点Id，来源基础服务平台列表 */
    private List <Long> siteIdList;

    /** 站点编号，来源基础服务平台 */
    private List<String> siteCodeList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 开始 设备总数 */
    private Integer deviceTotalStart;

    /** 结束 设备总数 */
    private Integer deviceTotalEnd;

    /** 增加 设备总数 */
    private Integer deviceTotalIncrement;

    /** 设备总数列表 */
    private List <Integer> deviceTotalList;

    /** 开始 在线数量 */
    private Integer onlineCountStart;

    /** 结束 在线数量 */
    private Integer onlineCountEnd;

    /** 增加 在线数量 */
    private Integer onlineCountIncrement;

    /** 在线数量列表 */
    private List <Integer> onlineCountList;

    /** 开始 离线数量 */
    private Integer offlineCountStart;

    /** 结束 离线数量 */
    private Integer offlineCountEnd;

    /** 增加 离线数量 */
    private Integer offlineCountIncrement;

    /** 离线数量列表 */
    private List <Integer> offlineCountList;

    /** 开始 停用数量 */
    private Integer stopCountStart;

    /** 结束 停用数量 */
    private Integer stopCountEnd;

    /** 增加 停用数量 */
    private Integer stopCountIncrement;

    /** 停用数量列表 */
    private List <Integer> stopCountList;

    /** 开始 待激活数量 */
    private Integer unActiveCountStart;

    /** 结束 待激活数量 */
    private Integer unActiveCountEnd;

    /** 增加 待激活数量 */
    private Integer unActiveCountIncrement;

    /** 待激活数量列表 */
    private List <Integer> unActiveCountList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<SitestatEntity> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<SitestatEntity> andConditionList;

    public SitestatEntity(){}
    /**
    * 获取 站点Id，来源基础服务平台
    * @return Long
    */
    public Long getSiteId(){
        return siteId;
    }
    /**
    * 设置 站点Id，来源基础服务平台
    * @param siteId
    */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
    * 获取 站点编号，来源基础服务平台
    * @return String
    */
    public String getSiteCode(){
        return siteCode;
    }
    /**
    * 设置 站点编号，来源基础服务平台
    * @param siteCode
    */
    public void setSiteCode(String siteCode){
        this.siteCode = siteCode;
    }
    /**
    * 获取 站点名称
    * @return String
    */
    public String getSiteName(){
        return siteName;
    }
    /**
    * 设置 站点名称
    * @param siteName
    */
    public void setSiteName(String siteName){
        this.siteName = siteName;
    }
    /**
    * 获取 设备总数
    * @return Integer
    */
    public Integer getDeviceTotal(){
        return deviceTotal;
    }
    /**
    * 设置 设备总数
    * @param deviceTotal
    */
    public void setDeviceTotal(Integer deviceTotal){
        this.deviceTotal = deviceTotal;
    }
    /**
    * 获取 在线数量
    * @return Integer
    */
    public Integer getOnlineCount(){
        return onlineCount;
    }
    /**
    * 设置 在线数量
    * @param onlineCount
    */
    public void setOnlineCount(Integer onlineCount){
        this.onlineCount = onlineCount;
    }
    /**
    * 获取 离线数量
    * @return Integer
    */
    public Integer getOfflineCount(){
        return offlineCount;
    }
    /**
    * 设置 离线数量
    * @param offlineCount
    */
    public void setOfflineCount(Integer offlineCount){
        this.offlineCount = offlineCount;
    }
    /**
    * 获取 停用数量
    * @return Integer
    */
    public Integer getStopCount(){
        return stopCount;
    }
    /**
    * 设置 停用数量
    * @param stopCount
    */
    public void setStopCount(Integer stopCount){
        this.stopCount = stopCount;
    }
    /**
    * 获取 待激活数量
    * @return Integer
    */
    public Integer getUnActiveCount(){
        return unActiveCount;
    }
    /**
    * 设置 待激活数量
    * @param unActiveCount
    */
    public void setUnActiveCount(Integer unActiveCount){
        this.unActiveCount = unActiveCount;
    }
            
    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 站点Id，来源基础服务平台
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点Id，来源基础服务平台
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点Id，来源基础服务平台
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点Id，来源基础服务平台
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点Id，来源基础服务平台
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点Id，来源基础服务平台
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点Id，来源基础服务平台
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点Id，来源基础服务平台
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 站点编号，来源基础服务平台
    * @return siteCodeList
    */
    public List<String> getSiteCodeList(){
        return this.siteCodeList;
    }

    /**
    * 设置 站点编号，来源基础服务平台
    * @param siteCodeList
    */
    public void setSiteCodeList(List<String> siteCodeList){
        this.siteCodeList = siteCodeList;
    }
    /**
    * 获取 站点名称
    * @return siteNameList
    */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }
    /**
    * 获取 开始 设备总数
    * @return deviceTotalStart
    */
    public Integer getDeviceTotalStart(){
        return this.deviceTotalStart;
    }

    /**
    * 设置 开始 设备总数
    * @param deviceTotalStart
    */
    public void setDeviceTotalStart(Integer deviceTotalStart){
        this.deviceTotalStart = deviceTotalStart;
    }

    /**
    * 获取 结束 设备总数
    * @return $deviceTotalEnd
    */
    public Integer getDeviceTotalEnd(){
        return this.deviceTotalEnd;
    }

    /**
    * 设置 结束 设备总数
    * @param deviceTotalEnd
    */
    public void setDeviceTotalEnd(Integer deviceTotalEnd){
        this.deviceTotalEnd = deviceTotalEnd;
    }

    /**
    * 获取 增加 设备总数
    * @return deviceTotalIncrement
    */
    public Integer getDeviceTotalIncrement(){
        return this.deviceTotalIncrement;
    }

    /**
    * 设置 增加 设备总数
    * @param deviceTotalIncrement
    */
    public void setDeviceTotalIncrement(Integer deviceTotalIncrement){
        this.deviceTotalIncrement = deviceTotalIncrement;
    }

    /**
    * 获取 设备总数
    * @return deviceTotalList
    */
    public List<Integer> getDeviceTotalList(){
        return this.deviceTotalList;
    }

    /**
    * 设置 设备总数
    * @param deviceTotalList
    */
    public void setDeviceTotalList(List<Integer> deviceTotalList){
        this.deviceTotalList = deviceTotalList;
    }

    /**
    * 获取 开始 在线数量
    * @return onlineCountStart
    */
    public Integer getOnlineCountStart(){
        return this.onlineCountStart;
    }

    /**
    * 设置 开始 在线数量
    * @param onlineCountStart
    */
    public void setOnlineCountStart(Integer onlineCountStart){
        this.onlineCountStart = onlineCountStart;
    }

    /**
    * 获取 结束 在线数量
    * @return $onlineCountEnd
    */
    public Integer getOnlineCountEnd(){
        return this.onlineCountEnd;
    }

    /**
    * 设置 结束 在线数量
    * @param onlineCountEnd
    */
    public void setOnlineCountEnd(Integer onlineCountEnd){
        this.onlineCountEnd = onlineCountEnd;
    }

    /**
    * 获取 增加 在线数量
    * @return onlineCountIncrement
    */
    public Integer getOnlineCountIncrement(){
        return this.onlineCountIncrement;
    }

    /**
    * 设置 增加 在线数量
    * @param onlineCountIncrement
    */
    public void setOnlineCountIncrement(Integer onlineCountIncrement){
        this.onlineCountIncrement = onlineCountIncrement;
    }

    /**
    * 获取 在线数量
    * @return onlineCountList
    */
    public List<Integer> getOnlineCountList(){
        return this.onlineCountList;
    }

    /**
    * 设置 在线数量
    * @param onlineCountList
    */
    public void setOnlineCountList(List<Integer> onlineCountList){
        this.onlineCountList = onlineCountList;
    }

    /**
    * 获取 开始 离线数量
    * @return offlineCountStart
    */
    public Integer getOfflineCountStart(){
        return this.offlineCountStart;
    }

    /**
    * 设置 开始 离线数量
    * @param offlineCountStart
    */
    public void setOfflineCountStart(Integer offlineCountStart){
        this.offlineCountStart = offlineCountStart;
    }

    /**
    * 获取 结束 离线数量
    * @return $offlineCountEnd
    */
    public Integer getOfflineCountEnd(){
        return this.offlineCountEnd;
    }

    /**
    * 设置 结束 离线数量
    * @param offlineCountEnd
    */
    public void setOfflineCountEnd(Integer offlineCountEnd){
        this.offlineCountEnd = offlineCountEnd;
    }

    /**
    * 获取 增加 离线数量
    * @return offlineCountIncrement
    */
    public Integer getOfflineCountIncrement(){
        return this.offlineCountIncrement;
    }

    /**
    * 设置 增加 离线数量
    * @param offlineCountIncrement
    */
    public void setOfflineCountIncrement(Integer offlineCountIncrement){
        this.offlineCountIncrement = offlineCountIncrement;
    }

    /**
    * 获取 离线数量
    * @return offlineCountList
    */
    public List<Integer> getOfflineCountList(){
        return this.offlineCountList;
    }

    /**
    * 设置 离线数量
    * @param offlineCountList
    */
    public void setOfflineCountList(List<Integer> offlineCountList){
        this.offlineCountList = offlineCountList;
    }

    /**
    * 获取 开始 停用数量
    * @return stopCountStart
    */
    public Integer getStopCountStart(){
        return this.stopCountStart;
    }

    /**
    * 设置 开始 停用数量
    * @param stopCountStart
    */
    public void setStopCountStart(Integer stopCountStart){
        this.stopCountStart = stopCountStart;
    }

    /**
    * 获取 结束 停用数量
    * @return $stopCountEnd
    */
    public Integer getStopCountEnd(){
        return this.stopCountEnd;
    }

    /**
    * 设置 结束 停用数量
    * @param stopCountEnd
    */
    public void setStopCountEnd(Integer stopCountEnd){
        this.stopCountEnd = stopCountEnd;
    }

    /**
    * 获取 增加 停用数量
    * @return stopCountIncrement
    */
    public Integer getStopCountIncrement(){
        return this.stopCountIncrement;
    }

    /**
    * 设置 增加 停用数量
    * @param stopCountIncrement
    */
    public void setStopCountIncrement(Integer stopCountIncrement){
        this.stopCountIncrement = stopCountIncrement;
    }

    /**
    * 获取 停用数量
    * @return stopCountList
    */
    public List<Integer> getStopCountList(){
        return this.stopCountList;
    }

    /**
    * 设置 停用数量
    * @param stopCountList
    */
    public void setStopCountList(List<Integer> stopCountList){
        this.stopCountList = stopCountList;
    }

    /**
    * 获取 开始 待激活数量
    * @return unActiveCountStart
    */
    public Integer getUnActiveCountStart(){
        return this.unActiveCountStart;
    }

    /**
    * 设置 开始 待激活数量
    * @param unActiveCountStart
    */
    public void setUnActiveCountStart(Integer unActiveCountStart){
        this.unActiveCountStart = unActiveCountStart;
    }

    /**
    * 获取 结束 待激活数量
    * @return $unActiveCountEnd
    */
    public Integer getUnActiveCountEnd(){
        return this.unActiveCountEnd;
    }

    /**
    * 设置 结束 待激活数量
    * @param unActiveCountEnd
    */
    public void setUnActiveCountEnd(Integer unActiveCountEnd){
        this.unActiveCountEnd = unActiveCountEnd;
    }

    /**
    * 获取 增加 待激活数量
    * @return unActiveCountIncrement
    */
    public Integer getUnActiveCountIncrement(){
        return this.unActiveCountIncrement;
    }

    /**
    * 设置 增加 待激活数量
    * @param unActiveCountIncrement
    */
    public void setUnActiveCountIncrement(Integer unActiveCountIncrement){
        this.unActiveCountIncrement = unActiveCountIncrement;
    }

    /**
    * 获取 待激活数量
    * @return unActiveCountList
    */
    public List<Integer> getUnActiveCountList(){
        return this.unActiveCountList;
    }

    /**
    * 设置 待激活数量
    * @param unActiveCountList
    */
    public void setUnActiveCountList(List<Integer> unActiveCountList){
        this.unActiveCountList = unActiveCountList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public SitestatEntity id(Long id){
	    setId(id);
		return this;
    }
    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public SitestatEntity idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }
    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public SitestatEntity idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }
    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public SitestatEntity idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }
    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public SitestatEntity idList(List<Long> idList){
        this.idList = idList;
		return this;
    }
    /**
    * 设置  站点Id，来源基础服务平台
    * @param siteId
    */
    public SitestatEntity siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
    /**
    * 设置 开始 站点Id，来源基础服务平台
    * @param siteIdStart
    */
    public SitestatEntity siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }
    /**
    * 设置 结束 站点Id，来源基础服务平台
    * @param siteIdEnd
    */
    public SitestatEntity siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }
    /**
    * 设置 增加 站点Id，来源基础服务平台
    * @param siteIdIncrement
    */
    public SitestatEntity siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }
    /**
    * 设置 站点Id，来源基础服务平台
    * @param siteIdList
    */
    public SitestatEntity siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
    }
	/**
    * 设置 站点编号，来源基础服务平台
    * @param siteCode
    */
    public SitestatEntity siteCode(String siteCode){
        setSiteCode(siteCode);
		return this;
    }

    /**
    * 设置 站点编号，来源基础服务平台
    * @param siteCodeList
    */
    public SitestatEntity siteCodeList(List<String> siteCodeList){
        this.siteCodeList = siteCodeList;
		return this;
    }

	/**
    * 设置 站点名称
    * @param siteName
    */
    public SitestatEntity siteName(String siteName){
        setSiteName(siteName);
		return this;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public SitestatEntity siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
		return this;
    }

    /**
    * 设置  设备总数
    * @param deviceTotal
    */
    public SitestatEntity deviceTotal(Integer deviceTotal){
	    setDeviceTotal(deviceTotal);
		return this;
    }
    /**
    * 设置 开始 设备总数
    * @param deviceTotalStart
    */
    public SitestatEntity deviceTotalStart(Integer deviceTotalStart){
		this.deviceTotalStart = deviceTotalStart;
		return this;
    }
    /**
    * 设置 结束 设备总数
    * @param deviceTotalEnd
    */
    public SitestatEntity deviceTotalEnd(Integer deviceTotalEnd){
		this.deviceTotalEnd = deviceTotalEnd;
		return this;
    }
    /**
    * 设置 增加 设备总数
    * @param deviceTotalIncrement
    */
    public SitestatEntity deviceTotalIncrement(Integer deviceTotalIncrement){
		this.deviceTotalIncrement = deviceTotalIncrement;
		return this;
    }
    /**
    * 设置 设备总数
    * @param deviceTotalList
    */
    public SitestatEntity deviceTotalList(List<Integer> deviceTotalList){
        this.deviceTotalList = deviceTotalList;
		return this;
    }
    /**
    * 设置  在线数量
    * @param onlineCount
    */
    public SitestatEntity onlineCount(Integer onlineCount){
	    setOnlineCount(onlineCount);
		return this;
    }
    /**
    * 设置 开始 在线数量
    * @param onlineCountStart
    */
    public SitestatEntity onlineCountStart(Integer onlineCountStart){
		this.onlineCountStart = onlineCountStart;
		return this;
    }
    /**
    * 设置 结束 在线数量
    * @param onlineCountEnd
    */
    public SitestatEntity onlineCountEnd(Integer onlineCountEnd){
		this.onlineCountEnd = onlineCountEnd;
		return this;
    }
    /**
    * 设置 增加 在线数量
    * @param onlineCountIncrement
    */
    public SitestatEntity onlineCountIncrement(Integer onlineCountIncrement){
		this.onlineCountIncrement = onlineCountIncrement;
		return this;
    }
    /**
    * 设置 在线数量
    * @param onlineCountList
    */
    public SitestatEntity onlineCountList(List<Integer> onlineCountList){
        this.onlineCountList = onlineCountList;
		return this;
    }
    /**
    * 设置  离线数量
    * @param offlineCount
    */
    public SitestatEntity offlineCount(Integer offlineCount){
	    setOfflineCount(offlineCount);
		return this;
    }
    /**
    * 设置 开始 离线数量
    * @param offlineCountStart
    */
    public SitestatEntity offlineCountStart(Integer offlineCountStart){
		this.offlineCountStart = offlineCountStart;
		return this;
    }
    /**
    * 设置 结束 离线数量
    * @param offlineCountEnd
    */
    public SitestatEntity offlineCountEnd(Integer offlineCountEnd){
		this.offlineCountEnd = offlineCountEnd;
		return this;
    }
    /**
    * 设置 增加 离线数量
    * @param offlineCountIncrement
    */
    public SitestatEntity offlineCountIncrement(Integer offlineCountIncrement){
		this.offlineCountIncrement = offlineCountIncrement;
		return this;
    }
    /**
    * 设置 离线数量
    * @param offlineCountList
    */
    public SitestatEntity offlineCountList(List<Integer> offlineCountList){
        this.offlineCountList = offlineCountList;
		return this;
    }
    /**
    * 设置  停用数量
    * @param stopCount
    */
    public SitestatEntity stopCount(Integer stopCount){
	    setStopCount(stopCount);
		return this;
    }
    /**
    * 设置 开始 停用数量
    * @param stopCountStart
    */
    public SitestatEntity stopCountStart(Integer stopCountStart){
		this.stopCountStart = stopCountStart;
		return this;
    }
    /**
    * 设置 结束 停用数量
    * @param stopCountEnd
    */
    public SitestatEntity stopCountEnd(Integer stopCountEnd){
		this.stopCountEnd = stopCountEnd;
		return this;
    }
    /**
    * 设置 增加 停用数量
    * @param stopCountIncrement
    */
    public SitestatEntity stopCountIncrement(Integer stopCountIncrement){
		this.stopCountIncrement = stopCountIncrement;
		return this;
    }
    /**
    * 设置 停用数量
    * @param stopCountList
    */
    public SitestatEntity stopCountList(List<Integer> stopCountList){
        this.stopCountList = stopCountList;
		return this;
    }
    /**
    * 设置  待激活数量
    * @param unActiveCount
    */
    public SitestatEntity unActiveCount(Integer unActiveCount){
	    setUnActiveCount(unActiveCount);
		return this;
    }
    /**
    * 设置 开始 待激活数量
    * @param unActiveCountStart
    */
    public SitestatEntity unActiveCountStart(Integer unActiveCountStart){
		this.unActiveCountStart = unActiveCountStart;
		return this;
    }
    /**
    * 设置 结束 待激活数量
    * @param unActiveCountEnd
    */
    public SitestatEntity unActiveCountEnd(Integer unActiveCountEnd){
		this.unActiveCountEnd = unActiveCountEnd;
		return this;
    }
    /**
    * 设置 增加 待激活数量
    * @param unActiveCountIncrement
    */
    public SitestatEntity unActiveCountIncrement(Integer unActiveCountIncrement){
		this.unActiveCountIncrement = unActiveCountIncrement;
		return this;
    }
    /**
    * 设置 待激活数量
    * @param unActiveCountList
    */
    public SitestatEntity unActiveCountList(List<Integer> unActiveCountList){
        this.unActiveCountList = unActiveCountList;
		return this;
    }
    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public SitestatEntity updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public SitestatEntity updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }
    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public SitestatEntity updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }
    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public SitestatEntity updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }
    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public SitestatEntity updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
    }
    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<SitestatEntity> getOrConditionList(){
        return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public SitestatEntity setOrConditionList(List<SitestatEntity> orConditionList){
        this.orConditionList = orConditionList;
        return this;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<SitestatEntity> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public SitestatEntity setAndConditionList(List<SitestatEntity> andConditionList){
        this.andConditionList = andConditionList;
        return this;
    }

    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SitestatEntity) {
            SitestatEntity tmp = (SitestatEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",siteCode:").append(getSiteCode());
        sb.append(",siteName:").append(getSiteName());
        sb.append(",deviceTotal:").append(getDeviceTotal());
        sb.append(",onlineCount:").append(getOnlineCount());
        sb.append(",offlineCount:").append(getOfflineCount());
        sb.append(",stopCount:").append(getStopCount());
        sb.append(",unActiveCount:").append(getUnActiveCount());
        return sb.toString();
    }

    public void initAttrValue(){
            this.siteId = null;
            this.siteCode = "";
            this.siteName = "";
            this.deviceTotal = null;
            this.onlineCount = null;
            this.offlineCount = null;
            this.stopCount = null;
            this.unActiveCount = null;
    }
}